=head1 NAME

XML::DOM::NodeList - A node list as used by XML::DOM

=head1 DESCRIPTION

The NodeList interface provides the abstraction of an ordered
collection of nodes, without defining or constraining how this
collection is implemented.

The items in the NodeList are accessible via an integral index,
starting from 0.

Although the DOM spec states that all NodeLists are "live" in that they
allways reflect changes to the DOM tree, the NodeList returned by
getElementsByTagName is not live in this implementation. See L<CAVEATS>
for details.

=head2 METHODS

=over 4

=item item (index)

Returns the indexth item in the collection. If index is
greater than or equal to the number of nodes in the list,
this returns undef.

=item getLength

The number of nodes in the list. The range of valid child
node indices is 0 to length-1 inclusive.

=back

=head2 Additional methods not in the DOM Spec

=over 4

=item dispose

Removes all circular references in this NodeList and its descendants so the 
objects can be claimed for garbage collection. The objects should not be used
afterwards.

=back
